Bug 21710 - Fix typo atributes in some installer files
Summary: Fix typo atributes in some installer files
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-29 09:37 UTC by paxed
Modified: 2019-05-27 12:25 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21710: Fix typo in atributes in installer (2.03 KB, patch)
2019-02-09 23:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21710: Fix typo in option of import_patrons.pl (1.90 KB, patch)
2019-02-09 23:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21710: Fix typo in atributes in installer (2.10 KB, patch)
2019-02-12 13:45 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-10-29 09:37:08 UTC
Typo "atributes" should be "attributes"

installer/data/mysql/en/optional/patron_atributes.txt:Useful patron atribute types:


also misc/import_patrons.pl has the same typo in a parameter name.
Comment 1 Katrin Fischer 2019-02-09 23:42:56 UTC
Created attachment 84938 [details] [review]
Bug 21710: Fix typo in atributes in installer

Adds the missing t to some atributes in the web installer
files.

To test:
Easiest to verify by looking at the patches, changes
appear in comments and the text shown by the nb-NO and
English web installer.
Comment 2 Katrin Fischer 2019-02-09 23:42:59 UTC
Created attachment 84939 [details] [review]
Bug 21710: Fix typo in option of import_patrons.pl

Fix typo in 'p|preserve-extended-atributes' option of
the import_patrons.pl script.

To test:
- Use the script to import patron data.
- Verify behaviour is the same with and without the patch
  concerning the preserve-extended_at(t)tributes option
Comment 3 Katrin Fischer 2019-02-09 23:47:07 UTC
I've split the changes into 2 patches: 

- The changes to the installer are easy and will only effect display.

- The change to the parameter of the script is trickier - it will break the use of the script for people having it automated with the typo... not sure what to do here. First thing I will do is moving the issue to a separate bug 22299.
Comment 4 Martin Renvoize 2019-02-12 13:45:08 UTC
Created attachment 85015 [details] [review]
Bug 21710: Fix typo in atributes in installer

Adds the missing t to some atributes in the web installer
files.

To test:
Easiest to verify by looking at the patches, changes
appear in comments and the text shown by the nb-NO and
English web installer.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2019-02-12 13:45:51 UTC
Good call splitting the bug into two.. This half is nice and trivial and doesn't introduce any regressions.. Going straight for PQA here.
Comment 6 Nick Clemens 2019-02-15 18:49:34 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-25 15:29:06 UTC
Pushed to 18.11.x for 18.11.04
Comment 8 Lucas Gass 2019-03-05 22:53:39 UTC
backported to 18.05.x for 18.05.11